%{?nodejs_find_provides_and_requires}

%global npm_name sphericalmercator

Name:		nodejs-sphericalmercator
Version:	1.0.3
Release:	1%{?dist}
Summary:	Transformations between the Mercator projection and coordinates
License:	BSD
Group:		Development/Libraries
URL:		http://github.com/mapbox/node-sphericalmercator
Source0:	http://registry.npmjs.org/sphericalmercator/-/%{npm_name}-%{version}.tgz

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

BuildRequires:	npm(mocha)
BuildRequires:	npm(should)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch


%description
Transformations between the Web Mercator projection and Latitude Longitude
coordinates.

%prep
%setup -q -n package

rm -rf node_modules

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sphericalmercator
cp -pfr bin/ package.json sphericalmercator.js %{buildroot}%{nodejs_sitelib}/sphericalmercator

%nodejs_symlink_deps

%check
mocha --require should

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.md 
%doc README.md
%{nodejs_sitelib}/sphericalmercator


%changelog
* Wed Mar 25 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3
- Running tests
- Adding BR nodejs-packaging
- Summary shortened

* Thu Nov 20 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.2-1
- Initial packaging
